ListCalls
curl --request POST \
--url https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"parents": [
"<string>"
],
"pageSize": 100,
"pageToken": "<string>",
"parentCall": "<string>",
"states": [],
"query": "<string>"
}
'import requests
url = "https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls"
payload = {
"parents": ["<string>"],
"pageSize": 100,
"pageToken": "<string>",
"parentCall": "<string>",
"states": [],
"query": "<string>"
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
parents: ['<string>'],
pageSize: 100,
pageToken: '<string>',
parentCall: '<string>',
states: [],
query: '<string>'
})
};
fetch('https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'parents' => [
'<string>'
],
'pageSize' => 100,
'pageToken' => '<string>',
'parentCall' => '<string>',
'states' => [
],
'query' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Connect-Protocol-Version: <connect-protocol-version>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls"
payload := strings.NewReader("{\n \"parents\": [\n \"<string>\"\n ],\n \"pageSize\": 100,\n \"pageToken\": \"<string>\",\n \"parentCall\": \"<string>\",\n \"states\": [],\n \"query\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"parents\": [\n \"<string>\"\n ],\n \"pageSize\": 100,\n \"pageToken\": \"<string>\",\n \"parentCall\": \"<string>\",\n \"states\": [],\n \"query\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Connect-Protocol-Version"] = '<connect-protocol-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"parents\": [\n \"<string>\"\n ],\n \"pageSize\": 100,\n \"pageToken\": \"<string>\",\n \"parentCall\": \"<string>\",\n \"states\": [],\n \"query\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"calls": [
{
"spec": {
"function": "<string>",
"arguments": "aSDinaTvuI8gbWludGxpZnk=",
"computeSpec": {
"cpus": 123,
"memoryBytes": "<string>",
"accelerator": "<string>",
"acceleratorCount": 123
},
"image": {
"base": "<string>",
"steps": [
{
"uvPipInstall": {
"packages": [
"<string>"
]
}
}
]
},
"volumeMounts": {},
"envVars": {},
"retryStrategy": {
"maxAttempts": 2
},
"summary": {
"name": "<string>",
"source": "<string>",
"arguments": [
{
"name": "<string>",
"value": "<string>"
}
]
},
"fileMounts": [
"<string>"
],
"displayName": "<string>",
"sourceFileMounts": {},
"port": 123,
"timeout": "<string>"
},
"name": "<string>",
"parentCall": "<string>",
"childIndex": 123,
"state": "STATE_UNSPECIFIED",
"attemptCount": 123,
"output": "aSDinaTvuI8gbWludGxpZnk=",
"outputRepr": "<string>",
"errorMessage": "<string>",
"created_at": "2023-01-15T01:30:15.01Z",
"started_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"finished_at": "2023-01-15T01:30:15.01Z",
"created_by": "<string>",
"hasChildren": true,
"workspace": "<string>"
}
],
"nextPageToken": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Run
ListCalls
Lists every Call in one or more Runs. Root Calls are included.
POST
/
outerproduct.run.v1alpha.RunService
/
ListCalls
ListCalls
curl --request POST \
--url https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"parents": [
"<string>"
],
"pageSize": 100,
"pageToken": "<string>",
"parentCall": "<string>",
"states": [],
"query": "<string>"
}
'import requests
url = "https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls"
payload = {
"parents": ["<string>"],
"pageSize": 100,
"pageToken": "<string>",
"parentCall": "<string>",
"states": [],
"query": "<string>"
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
parents: ['<string>'],
pageSize: 100,
pageToken: '<string>',
parentCall: '<string>',
states: [],
query: '<string>'
})
};
fetch('https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'parents' => [
'<string>'
],
'pageSize' => 100,
'pageToken' => '<string>',
'parentCall' => '<string>',
'states' => [
],
'query' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Connect-Protocol-Version: <connect-protocol-version>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls"
payload := strings.NewReader("{\n \"parents\": [\n \"<string>\"\n ],\n \"pageSize\": 100,\n \"pageToken\": \"<string>\",\n \"parentCall\": \"<string>\",\n \"states\": [],\n \"query\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"parents\": [\n \"<string>\"\n ],\n \"pageSize\": 100,\n \"pageToken\": \"<string>\",\n \"parentCall\": \"<string>\",\n \"states\": [],\n \"query\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/ListCalls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Connect-Protocol-Version"] = '<connect-protocol-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"parents\": [\n \"<string>\"\n ],\n \"pageSize\": 100,\n \"pageToken\": \"<string>\",\n \"parentCall\": \"<string>\",\n \"states\": [],\n \"query\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"calls": [
{
"spec": {
"function": "<string>",
"arguments": "aSDinaTvuI8gbWludGxpZnk=",
"computeSpec": {
"cpus": 123,
"memoryBytes": "<string>",
"accelerator": "<string>",
"acceleratorCount": 123
},
"image": {
"base": "<string>",
"steps": [
{
"uvPipInstall": {
"packages": [
"<string>"
]
}
}
]
},
"volumeMounts": {},
"envVars": {},
"retryStrategy": {
"maxAttempts": 2
},
"summary": {
"name": "<string>",
"source": "<string>",
"arguments": [
{
"name": "<string>",
"value": "<string>"
}
]
},
"fileMounts": [
"<string>"
],
"displayName": "<string>",
"sourceFileMounts": {},
"port": 123,
"timeout": "<string>"
},
"name": "<string>",
"parentCall": "<string>",
"childIndex": 123,
"state": "STATE_UNSPECIFIED",
"attemptCount": 123,
"output": "aSDinaTvuI8gbWludGxpZnk=",
"outputRepr": "<string>",
"errorMessage": "<string>",
"created_at": "2023-01-15T01:30:15.01Z",
"started_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"finished_at": "2023-01-15T01:30:15.01Z",
"created_by": "<string>",
"hasChildren": true,
"workspace": "<string>"
}
],
"nextPageToken": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Authorizations
A user session token or personal API key.
Headers
Define the version of the Connect protocol
Example:
1
Define the timeout, in ms
Example:
1000
Body
application/json
One or more Runs whose Calls are listed.
Required range:
0 <= x <= 200When set, return only Calls directly emitted by this Call.
Match any listed state; combined with other filters using AND.
Available options:
STATE_UNSPECIFIED, STATE_RUNNING, STATE_COMPLETED, STATE_FAILED, STATE_CANCELLED, STATE_CANCELLING